ejemploTransmilenio/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
	path('planViaje/', include('planViaje.urls')),
    path('admin/', admin.site.urls),
]

planViaje/urls.py
from django.urls import path

from . import views

urlpatterns = [
	path('', views.index, name='index'),
	path('horarios/', views.horarios, name='horarios'),
	path('horario/<int:horario_id>/', views.horario, name='horario'),
	path('guardar_horario/', views.guardar_horario, name='guardar_horario'),
	path('editar_horario/<int:horario_id>/', views.editar_horario, name='editar_horario'),
	path('eliminar_horario/<int:horario_id>/', views.eliminar_horario, name='eliminar_horario'),	
]

planViaje/models.py
from django.db import models
from django.core.validators import MaxValueValidator, MinValueValidator

class Horario(models.Model):	
	dias_semana = [
    ('LU', 'Lunes'),
    ('MA', 'Martes'),
    ('MI', 'Miercoles'),
    ('JU', 'Jueves'),
    ('VI', 'Viernes'),
	('SA', 'Sabado'),
	('DO', 'Domingo'),
	]
	dia_desde = models.CharField(null=False, max_length=2, choices=dias_semana, default='LU')
	dia_hasta = models.CharField(null=False, max_length=2, choices=dias_semana, default='VI')
	hora_desde = models.CharField(null=False, max_length=5)
	hora_hasta = models.CharField(null=False, max_length=5)

	def __str__(self):
		return str(self.id)

planViaje/forms.py
from django import forms

from .models import *

from django.forms import ModelForm

class Form_guardar_horario(forms.ModelForm):
	class Meta:
		model = Horario
		fields = ['dia_desde', 'dia_hasta', 'hora_desde', 'hora_hasta']
		widgets = {
			'dia_desde': forms.Select(attrs={'class': 'form-control'}),			
			'dia_hasta': forms.Select(attrs={'class': 'form-control'}),
			'hora_desde': forms.TextInput(attrs={'class': 'form-control'}),
			'hora_hasta': forms.TextInput(attrs={'class': 'form-control'}),
		}

class Form_editar_horario(forms.ModelForm):
	class Meta:
		model = Horario
		fields = ['dia_desde', 'dia_hasta', 'hora_desde', 'hora_hasta']
		widgets = {
			'dia_desde': forms.Select(attrs={'class': 'form-control'}),			
			'dia_hasta': forms.Select(attrs={'class': 'form-control'}),
			'hora_desde': forms.TextInput(attrs={'class': 'form-control'}),
			'hora_hasta': forms.TextInput(attrs={'class': 'form-control'}),
		}

planViaje/views.py
from django.shortcuts import render, redirect, get_object_or_404

from django.http import HttpResponse

from .models import *
from .forms import *

def index(request):
	return render(request, 'planViaje/index.html')

def horarios(request):
	horarios = Horario.objects.all()
	return render (request, 'planViaje/horarios.html',{'horarios':horarios})

def horario(request, horario_id):
	horario = get_object_or_404(Horario, pk=horario_id)
	return render (request, 'planViaje/horario.html',{'horario':horario})

def guardar_horario(request):
	if request.method == 'POST':
		form = Form_guardar_horario(request.POST, request.FILES)
		if form.is_valid():
			data = form.cleaned_data
			horario = Horario(
				dia_desde = data['dia_desde'],
				dia_hasta = data['dia_hasta'],
				hora_desde = data['hora_desde'],
				hora_hasta = data['hora_hasta']				
				)
			horario.save()
			return redirect('horarios')
		else:
			return render(request,'planViaje/form_guardar_horario.html/', {'form': form})
	else:
		form = Form_guardar_horario()
		return render(request, 'planViaje/form_guardar_horario.html/', {'form': form})

def editar_horario(request, horario_id):
	horario = Horario.objects.get(pk=horario_id)

	if request.method == 'GET':
		form = Form_editar_horario(instance=horario)
	else:
		form = Form_guardar_horario(request.POST, request.FILES, instance=horario)
		if form.is_valid():			
			form.save()
			return redirect('horarios')
	return render (request, 'planViaje/form_editar_horario.html',{'form': form})

def eliminar_horario(request, horario_id):
	horario = Horario.objects.get(pk=horario_id)
	horario.delete()
	return redirect ('horarios')

planViaje/templates/planViaje/form_editar_horario.html
{% block content %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<div class="container">
        <div class="container-body">
<h1>Editar Horario</h1>
<form enctype="multipart/form-data" method="POST">
    {% csrf_token %}
    {{form}}
    <br>
    <input type="submit" name="" value="Aceptar">
</form>
</div>
</div>
{% endblock %}

planViaje/templates/planViaje/form_guardar_horario.html
{% block content %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<div class="container">
        <div class="container-body">
    <h2><b>Agregar - Horario</b></h2>
    <br>
    <form enctype="multipart/form-data" method="POST">
        {% csrf_token %}        
        {{ form }}
        <br>        
        <input type="submit" name="" value="Guardar" class="btn btn-success">
    </form>
</div>
</div>
{% endblock content %}

planViaje/templates/planViaje/horario.html
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<h1>Id: {{ horario.id }}</h1>
<h2>{{ horario.dia_desde }} a {{ horario.dia_hasta }}</h2>
<h2>{{ horario.hora_desde }} a {{ horario.hora_hasta }}</h2>

<ul>
	{% for choice in horario.choice_set.all %}
		<li> {{ choice.choice_text }}</li>
	{% endfor %}
</ul>

planViaje/templates/planViaje/horarios.html
{% block contenido %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
{% if horarios %}
    <div class="container">
        <div class="container-body">
            <h3> Lista de horarios</h3>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>N°</th>
                        <th>Incio</th>
                        <th>Fin</th>
                        <th>Desde</th>
                        <th>Hasta</th>
                        <th>Opciones</th>                        
                    </tr>
                </thead>
                <tbody>            
                {% for horario in horarios %}
                    <tr>                    
                        <td>{{ forloop.counter }}</td>
                        <td>{{ horario.get_dia_desde_display }}</td>
                        <td>{{ horario.get_dia_hasta_display }}</td>
                        <td>{{ horario.hora_desde }}</td>
                        <td>{{ horario.hora_hasta }}</td>
                        <td>                        
                            <a href="{% url 'editar_horario' horario.id %}">
                                <i class="fa fa-edit" style="font-size:24px"></i>
                            </a>
                            <a href="{% url 'eliminar_horario' horario.id %}">
                                <i class="material-icons" style="font-size:24px">delete</i>
                            </a>
                        </td>                    
                    </tr>                    
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <br>
    <div class="container">
        <div class="container-body">
            <a href="{% url 'guardar_horario' %}">
                <input type="button" value="Nuevo horario">
            </a>
        </div>
        <br>
    </div>
    </div>
{% else %}
    <div class="container">
        <div class="container-body">
            <p>No existen Horarios.</p>
            <a href="{% url 'guardar_horario' %}">
                <input type="button" value="Nuevo horario">
            </a>
        </div>
    </div>
{% endif %}

{% endblock contenido %}

planViaje/templates/planViaje/index.html
{% block contenido %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<div class="container">
        <div class="container-body">
<h1>Página de inicio</h1>

<h2>Transmilenio</h2>


<li><a href="{% url 'horarios' %}"> Ver Horarios</a></li>
</div>
</div>
</div>

{% endblock contenido %}